Sign in to follow this  
Tony Wills

Error: libns.dylib

4 posts in this topic

I get the following as part of error code 1: ERROR: failed to load plugin: libns.dylib FATAL: An error occurred: dlopen(/Users/tonywills/Library/Synergy/Plugins/libns.dylib, 1): Library not loaded: /usr/lib/libcurl.4.dylib Referenced from: /Users/tonywills/Library/Synergy/Plugins/libns.dylib Reason: Incompatible library version: libns.dylib requires version 7.0.0 or later, but libcurl.4.dylib provides version 6.0.0 So how do I update to version 7.0.0? I noticed that as it was installing the new version of Synergy on the mac it also said it was installing a plug in so why isn't that an up to date version? I wish I'd left it alone as the old one worked just fine.

Share this post


Link to post
Share on other sites
I'm having the exact same Problem. Mac 10.7 Synergy 1.7.2- "An error occurred: dlopen(/Users/Alex/Library/Synergy/Pluggins/libns.dylib, 1): Symbol not found: _NXArgv Reference from: /Users/Alex/Library/Synergy/Plugins/libns.dylib Expected in: /usr/lib/libSystem.B.dylib in /Users/Alex/Library/Synergy/Plugins/libns.dylib Error on PC (Win 7 64) side as well- "Error:Failed to download plugin 'ns' to: C:\Users\Alex\AppData\Local\Synergy\Plugins The process cannot access the file because it is being used by another process." When I turn off 'Use SSL encryption', Synergy works on the PC side again. Will try to install on another PC to see if they work together but the Mac side is down.

Share this post


Link to post
Share on other sites
[quote="Tony Wills"]I get the following as part of error code 1: ERROR: failed to load plugin: libns.dylib FATAL: An error occurred: dlopen(/Users/tonywills/Library/Synergy/Plugins/libns.dylib, 1): Library not loaded: /usr/lib/libcurl.4.dylib Referenced from: /Users/tonywills/Library/Synergy/Plugins/libns.dylib Reason: Incompatible library version: libns.dylib requires version 7.0.0 or later, but libcurl.4.dylib provides version 6.0.0 So how do I update to version 7.0.0? I noticed that as it was installing the new version of Synergy on the mac it also said it was installing a plug in so why isn't that an up to date version? I wish I'd left it alone as the old one worked just fine.[/quote] 13-05-2015 Come on, I need this working today! Is it possible to download an update to libns.dylib or does that only function in Yosemite? If so, do you need to update the 'stable' Synergy to work with older versions of libns.dylib? PLEASE sort this urgently.

Share this post


Link to post
Share on other sites
There is an issue with SSL on OS X 10.7. A work around has been figured out elsewhere in the forum, it might be worth looking at. It does involve disabling encryption, which is kind of a bummer, but in the mean time you can take a look at the posts where others have figured out how to get the 10.7 side of things working: [url]http://synergy-project.org/forum/viewtopic.php?f=18&t=118[/url] [url]http://synergy-project.org/forum/viewtopic.php?f=18&t=127[/url] Let me know how it goes. --- EDIT: fixed links

Share this post


Link to post
Share on other sites

Please sign in to comment

You will be able to leave a comment after signing in



Sign In Now
Sign in to follow this